summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--misc/rsibreak/README3
-rw-r--r--misc/rsibreak/doinst.sh10
-rw-r--r--misc/rsibreak/rsibreak.SlackBuild86
-rw-r--r--misc/rsibreak/rsibreak.info10
-rw-r--r--misc/rsibreak/slack-desc19
5 files changed, 128 insertions, 0 deletions
diff --git a/misc/rsibreak/README b/misc/rsibreak/README
new file mode 100644
index 0000000000..d495741e86
--- /dev/null
+++ b/misc/rsibreak/README
@@ -0,0 +1,3 @@
+Repetitive Strain Injury is an illness which can occur as a result of
+working with a mouse and keyboard. This utility can be used to remind
+you to take a break now and then.
diff --git a/misc/rsibreak/doinst.sh b/misc/rsibreak/doinst.sh
new file mode 100644
index 0000000000..1f8ff67ded
--- /dev/null
+++ b/misc/rsibreak/doinst.sh
@@ -0,0 +1,10 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache usr/share/icons/hicolor >/dev/null 2>&1
+ fi
+fi
+
diff --git a/misc/rsibreak/rsibreak.SlackBuild b/misc/rsibreak/rsibreak.SlackBuild
new file mode 100644
index 0000000000..90f24e00b2
--- /dev/null
+++ b/misc/rsibreak/rsibreak.SlackBuild
@@ -0,0 +1,86 @@
+#!/bin/sh
+
+# Slackware build script for rsibreak
+
+# Written by Roberto Neri <rneri@libero.it>
+
+PRGNAM=rsibreak
+VERSION=0.11beta1
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+SRCVERSION=0.11-beta1
+
+# Automatically determine the architecture we're building on:
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+# Unless $ARCH is already set, use uname -m for all other archs:
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$SRCVERSION
+tar xvf $CWD/$PRGNAM-$SRCVERSION.tar.bz2
+cd $PRGNAM-$SRCVERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+mkdir -p build
+cd build
+ cmake \
+ -DCMAKE_C_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_CXX_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_INSTALL_PREFIX=/usr \
+ -DLIB_SUFFIX=${LIBDIRSUFFIX} \
+ -DMAN_INSTALL_DIR=/usr/man \
+ -DCMAKE_BUILD_TYPE=Release \
+ ..
+ make
+ make install DESTDIR=$PKG
+cd ..
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ AUTHORS ChangeLog COPYING COPYING.DOC HACKING INSTALL NEWS TODO \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/misc/rsibreak/rsibreak.info b/misc/rsibreak/rsibreak.info
new file mode 100644
index 0000000000..f38122431f
--- /dev/null
+++ b/misc/rsibreak/rsibreak.info
@@ -0,0 +1,10 @@
+PRGNAM="rsibreak"
+VERSION="0.11beta1"
+HOMEPAGE="http://www.rsibreak.org/"
+DOWNLOAD="http://www.rsibreak.org/files/rsibreak-0.11-beta1.tar.bz2"
+MD5SUM="2ce81ee7ac699fc4ae92dc8fa00d6130"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Roberto Neri"
+EMAIL="rneri@libero.it"
+APPROVED="pprkut"
diff --git a/misc/rsibreak/slack-desc b/misc/rsibreak/slack-desc
new file mode 100644
index 0000000000..688b0f8dd1
--- /dev/null
+++ b/misc/rsibreak/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+rsibreak: rsibreak (break reminder to prevent RSI)
+rsibreak:
+rsibreak: Repetitive Strain Injury (RSI) is an illness which can occur as a
+rsibreak: result of continuous work with a mouse and keyboard.
+rsibreak: The risk of suffering injury increases the longer users work without
+rsibreak: breaks. RSIBreak simply offers reminders to take a break now and then.
+rsibreak:
+rsibreak:
+rsibreak:
+rsibreak: Homepage: http://www.rsibreak.org/
+rsibreak: